Subject: Re: Where is malloc() defined?
From: [email-masked] (Ed Peschko)

2 Jan 1998 19:49:30 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Content-Type: text
To: [email-masked] (Joe Stevens)
Cc: [email-masked]

> 
> At 09:31 AM 1/2/98 -0500, Arlindo da Silva wrote:
> >Joe,
> >> 
> >> I have just installed the latest gnu-win32. I was compiling a program and
> >> the compiler was unable to locate malloc.h. What header file is the
> >> malloc() defined.
> >> 
> >
> >Since "malloc.h" is not really ANSI it was left out.
> >A workaround is to create a single line "malloc.h":
> >
> >#include <stdlib.h>

Umm... couldn't this 'one line malloc.h' be included in the standard release 
of gnu-win32? I just ran into the same problem, and it seems like something 
that is a relatively easy thing to avoid (so people don't even have the 
problem in the first place.)

Ed

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".